server:
  port: 8094

debug: false


app:
  accessToken:
    expires: 7200

spring:
  http:
    multipart:
      max-file-size: 40MB
      max-request-size: 40MB
      enabled: true
  profiles:
    include:
      -development
      -test
      -production
    active: development

  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    # 数据库连接池配置
    druid:
      filters: stat
      initialSize: 1
      minIdle: 1
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 'x'
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      WebStatFilter:
        enabled: false
        urlPattern:
        exclusions:
        sessionStatMaxCount:
        sessionStatEnable:
        principalSessionName:
        principalCookieName:
        profileEnable:
      StatViewServlet:
        enabled: true
        urlPattern: /druid/*
        resetEnable: true
        loginUsername: druid
        loginPassword: druid
        allow:
        deny:
  aop:
    auto: true
  mvc:
    log-resolved-exception: false
  jackson:
    default-property-inclusion: non_null

# MyBatis Configuration
mybatis:
  type-aliases-package: com.ydd.oms.entity
  config-location: classpath:mybatis/mybatis-config.xml
  mapper-locations: classpath:mybatis/mapper/*/*.xml

#oss:
#  accessKeyId: LTAIALhDnclBYATv
#  accessKeySecret: 4i9zJ5aDljBkFVRbp8pazK1l21XS79
#  protocol: http
#  name: yingdd
#  endPoint: http://oss-cn-hangzhou.aliyuncs.com
#  url: https://yingdd.oss-cn-hangzhou.aliyuncs.com/

oss:
  accessKeyId: LTAIlbtS4W2Xe4OV
  accessKeySecret: qWMYkSfmXFtRoIv9q9OCbszcF9U7dX
  protocol: http
  name: smartvenue
  endPoint: http://oss-cn-beijing.aliyuncs.com
  url: https://smartvenue.oss-cn-beijing.aliyuncs.com/

face:
  url: 23r3o72310.iask.in
  account: test@test.com
  pwd: 123456

